获取内置元数据字段
curl --request GET \
--url https://{api_base_url}/datasets/{dataset_id}/metadata/built-in \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/metadata/built-in"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/datasets/{dataset_id}/metadata/built-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{
"name": "document_name",
"type": "string"
},
{
"name": "uploader",
"type": "string"
},
{
"name": "upload_date",
"type": "time"
},
{
"name": "last_update_date",
"type": "time"
},
{
"name": "source",
"type": "string"
}
]
}元数据
获取内置元数据字段
返回系统提供的内置元数据字段列表(例如文档类型、来源 URL)。
GET
/
datasets
/
{dataset_id}
/
metadata
/
built-in
获取内置元数据字段
授权
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。
路径参数
知识库 ID。
响应
200 - application/json
内置元数据字段。
系统提供的元数据字段列表。
Show child attributes
Show child attributes
⌘I